# OpenSC API Reference

sc_get_cache_dir
3
opensc

# sc_get_cache_dir

Get the OpenSC cache directory

## Synopsis

    #include <opensc.h>

    int sc_get_cache_dir(struct sc_context *ctx, char *buf, size_t bufsize);

## Description

This function stores the OpenSC cache directory for the current user in the buffer pointed to by buf, which is bufsize bytes long.

## Return value

Returns 0 if successful, or a negative value in case of error.